Subject: Re: DGradient - One mo' bug

From: Dominik Vogt <[email-masked]>
Date: Mon, 1 Feb 1999 02:06:42 +0100

On Sat, Jan 30, 1999 at 09:38:29PM -0500, Bob Woodside wrote:
> 	I have to confess I've not been following the menu bug threads
> very closely, but since the known problems seem to be resolved, I
> thought I'd try to do a little testing. Here's one that doesn't seem
> to have been reported before (though I have noticed it before - I just
> thought it was probably related to the other bugs).
> 
> 	It's difficult to describe, so I put a screen shot at
> 
> 	http://www.pcnet.com/~proteus/Fvwm/Screen.jpg
> 
> since it's a little large to spam the whole mailing list with.
> 
> 	First, here are the pertinent definitions from my .fvwm2rc:
> 
> MenuStyle "*" FVWM, Hilight3DThick, Foreground black, Background Red4
> MenuStyle * MenuFace DGradient 128 2 RoyalBlue 50 LightSkyBlue 50 MidnightBlue
> 
> 	This is based on the setup Danek Duvall originally reported a
> problem with, just not so grey. The first MenuStyle line is there to lay
> in a strongly contrasting background so the problem shows up more clearly.
> 
> 	It looks like a rounding error creeps in somewhere in the calc-
> ulations for where a line should be drawn. The result is a diagonal line
> of missed pixels where the background shows through, and a spurious ver-
> tical line on the right side of the menu where the line drawing overshoots
> the edge of the menu. Worse, when the menu pops down, these artifacts are
> left on the screen.
> 
> 	This only occurs on some menus. The screen shot shows one of the
> menus that behaves this way, plus the artifacts from a couple of previous
> poppings-up of that same menu.

Could you post the menus that have the problem? Mine do all
wirk fine.

Bye

Dominik

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 3 Feb 1999 22:12:54 +0100

> Could you post the menus that have the problem? Mine do all

Argh, forget it. This mail had a delivery problem. It's several
days old.

Dominik